Package Gnumed :: Package wxpython :: Module gmEMRTimelineWidgets :: Class cEMRTimelinePnl |
[frames] | no frames]

# Class cEMRTimelinePnl

source code

                                         wx.Panel --+
                                                    |
    timelinelib.wxgui.dialogs.mainframe.TimelinePanel --+
                                                        |
            timelinelib.wxgui.component.TimelineComponent --+
                                                            |
                                                           cEMRTimelinePnl

Instance Methods
__init__(self, *args, **kwargs) | source code
Inherited from `timelinelib.wxgui.component.TimelineComponent`: `clear_timeline`, `handle_db_error`, `open_timeline` Inherited from `timelinelib.wxgui.dialogs.mainframe.TimelinePanel`: `activated`, `get_sidebar_width`, `hide_sidebar`, `show_sidebar`

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
Overrides: timelinelib.wxgui.dialogs.mainframe.TimelinePanel.__init__